/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Data transfer object (DTO) representing updating a handle.
 * @export
 * @interface HandleValueForUpdateDto
 */
export interface HandleValueForUpdateDto {
    /**
     * The data type of the handle.
     * @type {string}
     * @memberof HandleValueForUpdateDto
     */
    'type': string;
    /**
     * The parsed data of the handle.
     * @type {any}
     * @memberof HandleValueForUpdateDto
     */
    'parsed_data': any;
    /**
     * The id of the handle.
     * @type {number}
     * @memberof HandleValueForUpdateDto
     */
    'idx'?: number;
}

